
Foreman - Feature #1170

Statistics Page - Group by Hostgroups

09/14/2011 12:54 PM - Craig White

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Statistics   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3769,

https://github.com/theforeman/foreman/p

ull/3780

  

Description

Seems as though you have 9 pie charts and 10 would give balance...

# diff -u statistics_controller.rb statistics_controller.rb-new 

--- statistics_controller.rb    2011-09-14 09:47:57.712461508 -0700

+++ statistics_controller.rb-new    2011-09-14 09:47:34.372454180 -0700

@@ -5,6 +5,7 @@

     @arch_count  = Host.count_distribution :architecture

     @env_count   = Host.count_distribution :environment

     @klass_count = Host.count_habtm "puppetclass" 

+    @group_count = Host.gr_totals

     @cpu_count   = FactValue.count_each "processorcount" 

     @model_count = FactValue.count_each "manufacturer" 

     @mem_size    = FactValue.mem_average "memorysize" 

@@ -16,7 +17,7 @@

     respond_to do |format|

       format.html

       format.json do

-        render :json => { :statistics => { :os_count    => @os_count, :arch_count => @arch_count,

+        render :json => { :statistics => { :os_count    => @os_count, :arch_count => @arch_count,

 :host_groups => @group_count,

                                            :env_count   => @env_count, :klass_count => @klass_cou

nt, :cpu_count => @cpu_count,

                                            :model_count => @model_count, :mem_size => @mem_size, 

:mem_free => @mem_free, :swap_size => @swap_size,

                                            :swap_free   => @swap_free, :mem_totsize => @mem_totsi

ze, :mem_totfree => @mem_totfree } }

# diff -u host.rb host.rb-new 

--- host.rb    2011-09-14 09:52:07.932460435 -0700

+++ host.rb-new    2011-09-14 09:51:46.032454329 -0700

@@ -626,4 +626,14 @@

     status

   end

+  def self.gr_totals

+    @grouphash = {}

+    @hostgroups = Hostgroup.find(:all)

+    @hostgroups.each do |group|

+      @groupname = group.name

+      @group_count = Host.count(:all, :conditions => ["hostgroup_id = ?", group.id])

+      @grouphash[@groupname] = @group_count

+    end
+    return @grouphash

+  end

 end

# diff -u index.html.erb index.html.erb-new 

--- index.html.erb    2011-09-14 09:53:39.262459112 -0700

+++ index.html.erb-new    2011-09-14 09:53:27.452460645 -0700

@@ -17,4 +17,6 @@

   <%= pie_chart("mem_totals" ,"Total memory usage", [["free memory (GB)", @mem_totfree],["used me

mory (GB)",@mem_totsize-@mem_totfree]]) %>

+  <%= pie_chart("host_groups" ,"Host Group Distribution", @group_count) %>

+

 </center>

Related issues:

Related to Foreman - Bug #22515: statics chart links for hostgroup can be wrong Closed 02/06/2018

Associated revisions

Revision e86d444b - 08/25/2016 03:51 AM - Ohad Levy

fixes #1170 - adds additional charts to statistics page

this patch adds: hostgroups, compute resources, location

and organizations if they are enabled.

Revision d96100a9 - 08/25/2016 09:43 AM - Dominic Cleal

refs #1170 - capitalize statistics heading (#3780)

History

#1 - 01/29/2012 07:27 AM - Ohad Levy

- Assignee set to Craig White

while in the latest view the stats are aligned, it would still be nice to have this patch, mind sending it via git as well ? :)

#2 - 11/15/2012 09:14 AM - Benjamin Papillon

- Category set to Web Interface

- Status changed from New to Assigned

- Assignee changed from Craig White to Amos Benari

#3 - 08/20/2014 03:13 AM - Ohad Levy

- Assignee deleted (Amos Benari)

#4 - 08/20/2014 03:14 AM - Ohad Levy

- Description updated

- Status changed from Assigned to New

#5 - 11/12/2014 06:18 AM - b sh

Hey,

This is a very old ticket. Should we close it or try to push Craig's patch?

#6 - 08/23/2016 09:49 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ohad Levy

- Pull request https://github.com/theforeman/foreman/pull/3769 added

#7 - 08/25/2016 04:01 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset e86d444bd8842d01b26f87a1ed80d0f26ba4c671.

#8 - 08/25/2016 04:04 AM - Dominic Cleal

- Tracker changed from Bug to Feature

- Category changed from Web Interface to Statistics

- translation missing: en.field_release set to 160

#9 - 08/25/2016 09:41 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3780 added

#10 - 02/06/2018 01:19 PM - Ohad Levy

- Related to Bug #22515: statics chart links for hostgroup can be wrong added
